Bug 1474743 - Latest ceph is not built on arm7, i686 and ppc64
Latest ceph is not built on arm7, i686 and ppc64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ceph (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Boris Ranto
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1474772 1474773 1474774
  Show dependency treegraph
 
Reported: 2017-07-25 06:08 EDT by Daniel Berrange
Modified: 2017-08-02 23:00 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1474772 1474773 1474774 (view as bug list)
Environment:
Last Closed: 2017-08-02 23:00:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2017-07-25 06:08:30 EDT
Description of problem:
The latest update of Ceph in rawhide just excluded several Fedora architectures

 ExcludeArch:   i686 armv7hl ppc64

As a result this has broken downstream packages that depend on ceph like libvirt & QEMU.

Please re-enable these architectures asap.

If there are build problems then plesae create blocker bugs against the arch exclude trackers

https://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Build_Failures

Version-Release number of selected component (if applicable):
12.1.1-1
Comment 1 Kaleb KEITHLEY 2017-07-25 07:22:38 EDT
It doesn't build on those platforms.

File a bug against Ceph.
Comment 2 Daniel Berrange 2017-07-25 07:29:19 EDT
That's not the way Fedora works. As per the packaging guidelines link above, maintainers need to explicitly track any build problems on architectures & mark them as blocking the arch trackers so the problem can be resolved.
Comment 3 Yaakov Selkowitz 2017-07-26 18:13:39 EDT
(In reply to Kaleb KEITHLEY from comment #1)
> It doesn't build on those platforms.
> 
> File a bug against Ceph.
Comment 4 Boris Ranto 2017-08-02 23:00:25 EDT
The builds for all the architectures are available. now:

https://koji.fedoraproject.org/koji/taskinfo?taskID=20961346

Note You need to log in before you can comment on or make changes to this bug.